cancel
Showing results for 
Search instead for 
Did you mean: 

Version Issue

SOLVED

Version Issue

I am getting this wrong version error from magento team 

 

Module: community/Namespace/Module 
Location: app/code/community/Namespace/Module/etc/config.xml:16
Type: Architecture Name: Wrong version
Priority: Medium
Description: Wrong version is defined in configuration.
Recommendation: Fix extension version

 

Config.xml

-----------------

<config>

<modules>
<Namespace_Module>
<version>1.0.1</version>
</Namespace_Module>
</modules>

..........

 

Namespace_Module.xml

------------------------------------

<?xml version="1.0"?>
<config>
<modules>
<Namespace_Module>
<active>true</active>
<codePool>community</codePool>
<version>1.0.1</version>
</Namespace_Module>
</modules>
</config>

 

 

3 REPLIES

Re: Version Issue

Hi,

Please clarify your issue.

According to your query Namespace_Module.xml file is define in your app/etc/module/ location

And config.xml file is define app/code/community/Namespace/Module/etc/

Both have different work:

Namespace_Module.xml : In this file you can active deactivate you module.

config.xml: In this file you can configure your module according to your requirement .

 

If this post fulfill your solution please mark as accept.

 

Thanks,

Dibyajyoti

 

 

Re: Version Issue

Hi @prashant_rfk

 

After seeing the Magento core file I have observed following things.


1) You should use 4 digits to define the version number in your module config file.

 

Please see all the following examples.

app/code/core/Mage/Api/etc/config.xml
<config>
    <modules>
        <Mage_Api>
            <version>1.6.0.1</version>
        </Mage_Api>
    </modules>
    ----
    
app/code/core/Mage/Bundle/etc/config.xml  
<config>
    <modules>
        <Mage_Bundle>
            <version>1.6.0.0.1</version>
        </Mage_Bundle>
        -----
        
app/code/core/Mage/Catalog/etc/config.xml     
<config>
    <modules>
        <Mage_Catalog>
            <version>1.6.0.0.19.1.2</version>
        </Mage_Catalog>
        ---
        
app/code/core/Mage/Checkout/etc/config.xml      
<config>
    <modules>
        <Mage_Checkout>
            <version>1.6.0.0</version>
        </Mage_Checkout>
    </modules>
    ----

Same applies to installer and upgrade scripts 

Check app/code/core/Mage/Checkout/sql/checkout_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php

Name is like following
mysql4-upgrade-1.5.9.9-1.6.0.0

Also visit following file app/Mage.php for the code section mentioned below.

 

/**
     * Gets the current Magento version string
     * @link http://www.magentocommerce.com/blog/new-community-edition-release-process/
     *
     * @return string
     */
    public static function getVersion()
    {
        $i = self::getVersionInfo();
        return trim("{$i['major']}.{$i['minor']}.{$i['revision']}" . ($i['patch'] != '' ? ".{$i['patch']}" : "")
                        . "-{$i['stability']}{$i['number']}", '.-');
    }

    /**
     * Gets the detailed Magento version information
     * @link http://www.magentocommerce.com/blog/new-community-edition-release-process/
     *
     * @return array
     */
    public static function getVersionInfo()
    {
        return array(
            'major'     => '1',
            'minor'     => '9',
            'revision'  => '2',
            'patch'     => '4',
            'stability' => '',
            'number'    => '',
        );
    }

When ever a Magento version is released it has 4 digits in the release version which represent 'major'.'minor'.'revision'.'patch'.
Please see getVersionInfo() method of Mage.php file for more information.

 

If you submitted your extension for minor changes then update second digit or if it was revision update third digit.

 

Magento connect is going through some changes for the up coming market place for Magento 1x extensions. So allowed version number format may have changed.

 

Note: Please rely on the Magento Connect team's official answer for 100% surety. This answer is based on my understanding and it is not an official answer I may be wrong also .

 

---
Problem Solved Click Accept as Solution!:Magento Community India Forum

Re: Version Issue

As I directly asked Magento team to answer this question, here is the reply

 

Version number in config.xml should be equal to current version of extension(same as mentioned in document)
And after each failure of code review version number should increase
Example - 1.0.1 to 1.0.2

Please make sure your documentation number should match with your code otherwise your code review may fail.